Skip to main content
`Ctrl`+`K`

# DMPlexTransformGetMatchStrata

Get the flag which determines what points get added to the transformed labels

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformGetMatchStrata(DMPlexTransform tr, PetscBool *match)

Not Collective

## Input Parameter

- tr - The `DMPlexTransform`

## Output Parameter

- match - If `PETSC_TRUE`, only add produced points at the same stratum as the original point to new labels

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformSetMatchStrata()`, `DMPlexGetPointDepth()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages